{% extends "base.html" %}
{% load i18n crispy_forms_tags %}
{% block title %}{% translate "artefact"|capfirst %}{% endblock %}
{% block content %}

  <div class="row mt-2">
    <div class="col-12">
      <h1 class="text-center"><i class="bi bi-upc"></i> {{ artefact.rescue_number}}</h1>
      <h4 class="text-center">{{ artefact.name }}</h4>
    </div>
  </div>
  <div class="row mt-3">
    <div class="col-12">
      <form method="post" enctype="multipart/form-data">
        <div class="mb-2">
          <img id="image-preview" class="img-fluid">
        </div>
        {{ form|crispy }}
        {% csrf_token %}
        <button type="submit" class="btn btn-primary">{% translate 'submit'|capfirst %}</button>
      </form>
    </div>
  </div>
{% endblock %}

{% block modal %}

{% endblock modal %}


{% block inline_javascript %}
<script>
  function showPreview(event) {
    if (event.target.files.length > 0) {
      let src = URL.createObjectURL(event.target.files[0]);
      const preview = document.getElementById("image-preview");
      preview.src = src;
      preview.style.display = "block";
    }
  }

  window.addEventListener('DOMContentLoaded', () => {
    const image = document.getElementById('id_image');
    image.addEventListener('change', showPreview);
  });
</script>
{% endblock %}
